Can anyone help me downgrade my st27i (sony xperia go) to gingerbread?

Search This thread

zpunout

Senior Member
Aug 26, 2015
320
72
Samsung Galaxy S5
Moto G5 Plus
You mean to stock gingerbread? (I have an St27i which is running LineageOS Android 7 I think, but I forgot how I did it exactly.)

Im guessing you will need Xperia Flashtool to flash an ftf firmware file to that phone.

I searched here for firmware , but I'm not sure that build version (6.2.A.0.400) corresponds to which Android version.


Also, if you are using adb to communicate with that phone and you are getting errors, you might need an older version of platform-tools which contains an older version of adb.
 
You mean to stock gingerbread? (I have an St27i which is running LineageOS Android 7 I think, but I forgot how I did it exactly.)

Im guessing you will need Xperia Flashtool to flash an ftf firmware file to that phone.

I searched here for firmware , but I'm not sure that build version (6.2.A.0.400) corresponds to which Android version.


Also, if you are using adb to communicate with that phone and you are getting errors, you might need an older version of platform-tools which contains an older version of adb.
I'm using flash tool but I can't find firmware that the flash tool can read.. Every single one I used displayed nothing in the firmwares list, I tried samsony one from this forum and that's it and yes I'm trying to flash stock cause of the poor performance of 4.1.2..
 
You mean to stock gingerbread? (I have an St27i which is running LineageOS Android 7 I think, but I forgot how I did it exactly.)

Im guessing you will need Xperia Flashtool to flash an ftf firmware file to that phone.

I searched here for firmware , but I'm not sure that build version (6.2.A.0.400) corresponds to which Android version.


Also, if you are using adb to communicate with that phone and you are getting errors, you might need an older version of platform-tools which contains an older version of adb.
I figured it out, I needed to use a old version of flash tool, a samsony ftf file and install the drivers and prepare the flashmode thing before plugging it in.
 
  • Like
Reactions: zpunout

Top Liked Posts

  • There are no posts matching your filters.
  • 1
    You mean to stock gingerbread? (I have an St27i which is running LineageOS Android 7 I think, but I forgot how I did it exactly.)

    Im guessing you will need Xperia Flashtool to flash an ftf firmware file to that phone.

    I searched here for firmware , but I'm not sure that build version (6.2.A.0.400) corresponds to which Android version.


    Also, if you are using adb to communicate with that phone and you are getting errors, you might need an older version of platform-tools which contains an older version of adb.
    I figured it out, I needed to use a old version of flash tool, a samsony ftf file and install the drivers and prepare the flashmode thing before plugging it in.
    1
    So you got it running Gingerbread now?
    1
    So you got it running Gingerbread now?
    Yup